> ## Documentation Index
> Fetch the complete documentation index at: https://d5230a4b-1863-416c-9734-f7107bff3756.bluelayer.io/llms.txt
> Use this file to discover all available pages before exploring further.

# GET RFQ response by ID

> Retrieve Project Developer's response to an RFQ by ID



## OpenAPI

````yaml get /v1/orgs/{orgName}/channels/{channelSlug}/rfqs/{rfqId}/responses/{id}
openapi: 3.1.0
info:
  title: External API for channels
  description: BlueLayer external API for channels
  version: '2'
servers:
  - url: https://api.connect.bluelayer.tech
security: []
paths:
  /v1/orgs/{orgName}/channels/{channelSlug}/rfqs/{rfqId}/responses/{id}:
    get:
      description: Retrieves an RFQ response by ID
      parameters:
        - schema:
            type: string
          in: path
          name: orgName
          required: true
        - schema:
            type: string
          in: path
          name: channelSlug
          required: true
        - schema:
            type: string
            format: uuid
          in: path
          name: rfqId
          required: true
        - schema:
            type: string
            format: uuid
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                additionalProperties: false
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  listingId:
                    type: string
                    format: uuid
                  projectName:
                    type: string
                  offer:
                    additionalProperties: false
                    type: object
                    properties:
                      contractType:
                        enum:
                          - spot
                          - forward
                        type: string
                      currency:
                        enum:
                          - USD
                          - EUR
                          - AUD
                          - GBP
                          - SGD
                        type: string
                      scheduledDeliveries:
                        type: array
                        items:
                          additionalProperties: false
                          type: object
                          properties:
                            fulfilmentDueDate:
                              anyOf:
                                - type: 'null'
                                - type: string
                                  format: date
                                  examples:
                                    - '2026-01-20'
                            fulfilmentMethod:
                              anyOf:
                                - type: 'null'
                                - enum:
                                    - transfer
                                    - retirement
                                    - assignment
                                  type: string
                            vintages:
                              type: array
                              items:
                                description: Pricing and volume per specific vintage
                                additionalProperties: false
                                type: object
                                properties:
                                  reportingPeriodStart:
                                    type: string
                                    format: date
                                    examples:
                                      - '2026-01-20'
                                  reportingPeriodEnd:
                                    type: string
                                    format: date
                                    examples:
                                      - '2026-01-20'
                                  volume:
                                    minimum: 1
                                    type: number
                                  unitPrice:
                                    minimum: 0
                                    description: Price per credit (with decimals)
                                    examples:
                                      - 10.5
                                    type: number
                                required:
                                  - reportingPeriodStart
                                  - reportingPeriodEnd
                                  - volume
                                  - unitPrice
                          required:
                            - fulfilmentDueDate
                            - fulfilmentMethod
                            - vintages
                      prePayments:
                        type: array
                        items:
                          description: Pre-payment terms
                          additionalProperties: false
                          type: object
                          properties:
                            amount:
                              minimum: 0
                              type: number
                            paymentDueDate:
                              anyOf:
                                - type: 'null'
                                - type: string
                                  format: date
                                  examples:
                                    - '2026-01-20'
                          required:
                            - amount
                            - paymentDueDate
                      totalVolume:
                        minimum: 1
                        description: >-
                          Total volume of credits offered, including all
                          scheduled deliveries
                        type: number
                      totalPrice:
                        minimum: 0
                        description: >-
                          Total price for the entire offer, including all
                          pre-payments and scheduled deliveries (with decimals)
                        examples:
                          - 15000.75
                        type: number
                      additionalNotesToBuyer:
                        anyOf:
                          - type: 'null'
                          - type: string
                    required:
                      - contractType
                      - currency
                      - scheduledDeliveries
                      - prePayments
                      - totalVolume
                      - totalPrice
                      - additionalNotesToBuyer
                  projectDeveloperName:
                    type: string
                  status:
                    enum:
                      - submitted
                      - accepted
                      - rejected
                    type: string
                  submittedAt:
                    anyOf:
                      - type: 'null'
                      - type: string
                        format: date-time
                        examples:
                          - '2026-01-20T10:00:00.005Z'
                required:
                  - id
                  - listingId
                  - projectName
                  - offer
                  - projectDeveloperName
                  - status
                  - submittedAt
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 401
                  error:
                    type: number
                  message:
                    type: string
                required:
                  - statusCode
                  - message
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 403
                  error:
                    type: number
                  message:
                    type: string
                required:
                  - statusCode
                  - message
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 404
                  error:
                    type: number
                  message:
                    type: string
                required:
                  - statusCode
                  - message
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 500
                  error:
                    type: number
                  message:
                    type: string
                required:
                  - statusCode
                  - message
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````